# Elora's Default Keymap
The default keymap contains 5 layers which allows it to include all keys found on an ANSI layout TKL keyboard plus media keys.
Hardware features of the Elora such as OLEDs, rotary encoders and underglow are also supported.

The Elora keymap is in essence identical to the [Kyria keymap](https://github.com/qmk/qmk_firmware/blob/master/keyboards/splitkb/kyria/keymaps/default/readme.md), just with an additional number row. A deep dive into the keymap is provided there.

The five different layers are the following:
1. Base layer (QWERTY, Colemak-DH or Dvorak)
2. Navigation layer
3. Symbols/Numbers layer
4. Function layer
5. Adjust layer

## Base layer(s)
### Qwerty
![Qwerty](https://i.imgur.com/SZB1Z5gh.jpg)

### Dvorak
![Dvorak](https://i.imgur.com/RWB5Qhnh.jpg)

### Colemak-DH
![Colemak](https://i.imgur.com/4DjdGsGh.jpg)

## Navigation layer
![Navigation](https://i.imgur.com/tDM1MZeh.jpg)

## Symbols layer
![Symbol](https://i.imgur.com/9LsxnLRh.jpg)

## Function layer
![Function](https://i.imgur.com/KMCqh7Ch.jpg)

## Adjust layer
![Adjust](https://i.imgur.com/6WtMo8ih.jpg)

# Hardware Features

## Rotary Encoder
The left rotary encoders are programmed to send <kbd>Left</kbd> or <kbd>Right</kbd> whereas the right encoder sends <kbd>PgUp</kbd> or <kbd>PgDn</kbd> on every turn.

## OLEDs
The OLEDs display the current layer at the top of the active layers stack, the Elora logo and lock status (caps lock, num lock, scroll lock).

## Underglow
The underglow LEDs should default red.

## Going further…
This default keymap can be used as is, unchanged, as a daily driver for your Elora but you're invited to treat your keymap like a bonsai. At the beginning, it's just like the default keymap but from time to time, you can tweak it a little. Cut a little key here, let another combo grow there. Slowly but surely it will be a unique keymap that will fit you like a glove.

Check out the #keymap-ideas channel on the official splitkb Discord server for inspiration.